Name: libibverbs
Version: 1.1.2
Release: 1%{?dist}
Summary: Library providing access to InfiniBand/iWARP hardware verbs protocol
Group: System Environment/Libraries
License: GPL/BSD
Url: http://www.openfabrics.org/downloads/
Requires: openib >= 1.0
Source0: http://www.openfabrics.org/downloads/%{name}-%{version}.tar.gz
Patch0: libibverbs-ppc_wmb.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# No s390/s390x packages
ExclusiveArch: i386 x86_64 ia64 ppc ppc64
%description
libibverbs is a library that allows userspace processes to use
InfiniBand/iWARP "verbs" as described in the InfiniBand Architecture
Specification.  This includes direct hardware access for fast path
operations.

For this library to be useful, a device-specific plug-in module should
also be installed.

%package devel
Summary: Development files for the libibverbs library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description devel
Development for the libibverbs verbs library.

%package static
Summary: Static libibverbs library
Group: System Environment/Libraries
Requires: %{name}-devel = %{version}-%{release}
%description static
Static libibverbs library

%package utils
Summary: Utilities for the libibverbs library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}
%description utils
Libibverbs based programs useful for verifying network operation and
connectivity.

%prep
%setup -q
%patch0 -p1 -b .wmb

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/libibverbs.d
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libibverbs*.so.*
%dir %{_sysconfdir}/libibverbs.d
%doc AUTHORS COPYING ChangeLog README

%files devel
%defattr(-,root,root,-)
%{_libdir}/libibverbs*.so
%{_includedir}/*
%{_mandir}/man3/*

%files static
%defattr(-,root,root,-)
%{_libdir}/libibverbs.a

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Tue Sep 16 2008 Doug Ledford <dledford@redhat.com> - 1.1.2-1
- Update to latest upstream version
- Add ppc wmb patch
- Add requires on openib base package
- Resolves: bz451453, bz459521

* Thu Apr 10 2008 Doug Ledford <dledford@redhat.com> - 1.1.1-9
- Re-add a patch that was in the OFED 1.2 libibverbs but was lost

* Thu Jan 24 2008 Doug Ledford <dledford@redhat.com> - 1.1.1-8
- Bump number to something higher than last libibverbs from openib package
- Related bz428197

* Tue Jan 15 2008 Doug Ledford <dledford@redhat.com> - 1.1.1-0.2
- Don't build s390 or s390x

* Tue Jan 15 2008 Doug Ledford <dledford@redhat.com> - 1.1.1-0.1
- Ressurect dead package with latest release

* Thu Feb 2 2006 Doug Ledford <dledford@redhat.com>
- Bump version and rebuild with newer gcc

* Wed Nov 30 2005 Doug Ledford <dledford@redhat.com>
- Update source to svn revision 4265

* Tue Nov 22 2005 Doug Ledford <dledford@redhat.com>
- Update the files listing for the devel package
- Add ppc64 to the build matrix

* Mon Nov 7 2005 Doug Ledford <dledford@redhat.com>
- Initial import to RHEL-4 based upon Roland Drier's FC-4 package
- Add %{_libdir}/infiniband as an rpm owned directory and add a
  config entry to /etc/ld.so.conf.d
